Skip Menu |
 

This queue is for tickets about the PPerl CPAN distribution.

Report information
The Basics
Id: 88600
Status: new
Priority: 0/
Queue: PPerl

People
Owner: Nobody in particular
Requestors: support1 [...] thetabiz.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: [ERROR] MAKE failed: No such file or directory cp PPerl.pm blib/lib/PPerl.pm
Download (untitled) / with headers
text/plain 2.5k
$ sudo cpanp i PPerl Installing PPerl (0.25) Running [/usr/bin/perl -e use strict; BEGIN { my $old = select STDERR; $|++; select $old; $|++; $0 = shift(@ARGV); my $rv = do($0); die $@ if $@; } /root/.cpanplus/5.18.1/build/PPerl-0.25/Makefile.PL INSTALLDIRS=site]... Checking /usr/bin/perl is the same version as this one...ok Checking if your kit is complete... Looks good Writing Makefile for PPerl Writing MYMETA.yml and MYMETA.json [ERROR] MAKE failed: No such file or directory cp PPerl.pm blib/lib/PPerl.pm /usr/bin/perl /usr/share/perl/5.18/ExtUtils/xsubpp -typemap /usr/share/perl/5.18/ExtUtils/typemap PPerl.xs > PPerl.xsc && mv PPerl.xsc PPerl.c cc -c -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fstack-protector -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -DVERSION=\"0.25\" -DXS_VERSION=\"0.25\" -fPIC "-I/usr/lib/perl/5.18/CORE" -DVARIANT_44BSD -DPERL_INTERP='"/usr/bin/perl"' -I. PPerl.c Running Mkbootstrap for PPerl () chmod 644 PPerl.bs rm -f blib/arch/auto/PPerl/PPerl.so cc -shared -L/usr/local/lib -fstack-protector PPerl.o -o blib/arch/auto/PPerl/PPerl.so \ \ chmod 755 blib/arch/auto/PPerl/PPerl.so cp PPerl.bs blib/arch/auto/PPerl/PPerl.bs chmod 644 blib/arch/auto/PPerl/PPerl.bs /usr/bin/perl write_pperl_h cc -c -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fstack-protector -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -DVERSION=\"0.25\" -DXS_VERSION=\"0.25\" -fPIC "-I/usr/lib/perl/5.18/CORE" -DVARIANT_44BSD -DPERL_INTERP='"/usr/bin/perl"' -I. main.c cc -c -D_REENTRANT -D_GNU_SOURCE -DDEBIAN -fstack-protector -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -g -DVERSION=\"0.25\" -DXS_VERSION=\"0.25\" -fPIC "-I/usr/lib/perl/5.18/CORE" -DVARIANT_44BSD -DPERL_INTERP='"/usr/bin/perl"' -I. pass_fd.c cc -fstack-protector -L/usr/local/lib -DVARIANT_44BSD -DPERL_INTERP='"/usr/bin/perl"' -I. -o pperl main.o pass_fd.o -lgdbm -lgdbm_compat -ldb -ldl -lm -lpthread -lc -lcrypt /usr/bin/ld: cannot find -lgdbm /usr/bin/ld: cannot find -lgdbm_compat /usr/bin/ld: cannot find -ldb collect2: error: ld returned 1 exit status make: *** [pperl] Error 1 [ERROR] Unable to create a new distribution object for 'PPerl' -- cannot continue *** Install log written to: /root/.cpanplus/install-logs/PPerl-0.25-1378858247.log Error installing 'PPerl' Problem installing one or more modules -- Thetabiz™ Offshore Services http://www.offshore-services.biz


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.